Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
[nlundsten@localhost ~]$ uname -r
3.17.8-300.fc21.x86_64
[nlundsten@localhost ~]$ sudo yum install kmod-nvidia-3.17.8-300.fc21.x86_64-343.36-1.fc21.2
Loaded plugins: langpacks
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia-3.17.8-300.fc21.x86_64.x86_64 1:343.36-1.fc21.2 will be installed
--> Processing Dependency: nvidia-kmod-common >= 1:343.36 for package: 1:kmod-nvidia-3.17.8-300.fc21.x86_64-343.36-1.fc21.2.x86_64
--> Running transaction check
---> Package xorg-x11-drv-nvidia.x86_64 1:346.35-1.fc21 will be installed
--> Processing Dependency: xorg-x11-drv-nvidia-libs(x86-64) = 1:346.35-1.fc21 for package: 1:xorg-x11-drv-nvidia-346.35-1.fc21.x86_64
--> Processing Dependency: nvidia-kmod >= 1:346.35 for package: 1:xorg-x11-drv-nvidia-346.35-1.fc21.x86_64
--> Processing Dependency: libnvidia-gtk3.so.346.35()(64bit) for package: 1:xorg-x11-drv-nvidia-346.35-1.fc21.x86_64
--> Processing Dependency: libnvidia-glcore.so.346.35()(64bit) for package: 1:xorg-x11-drv-nvidia-346.35-1.fc21.x86_64
--> Processing Dependency: libnvidia-tls.so.346.35()(64bit) for package: 1:xorg-x11-drv-nvidia-346.35-1.fc21.x86_64
--> Running transaction check
---> Package kmod-nvidia.x86_64 1:346.35-1.fc21 will be installed
--> Processing Dependency: kmod-nvidia-3.18.2-200.fc21.x86_64 >= 1:346.35-1.fc21 for package: 1:kmod-nvidia-346.35-1.fc21.x86_64
---> Package xorg-x11-drv-nvidia-libs.x86_64 1:346.35-1.fc21 will be installed
--> Running transaction check
---> Package kmod-nvidia-3.18.2-200.fc21.x86_64.x86_64 1:346.35-1.fc21 will be installed
--> Processing Dependency: kernel-uname-r = 3.18.2-200.fc21.x86_64 for package: 1:kmod-nvidia-3.18.2-200.fc21.x86_64-346.35-1.fc21.x86_64
--> Finished Dependency Resolution
Error: Package: 1:kmod-nvidia-3.18.2-200.fc21.x86_64-346.35-1.fc21.x86_64 (rpmfusion-nonfree-updates)
Requires: kernel-uname-r = 3.18.2-200.fc21.x86_64
Installed: kernel-core-3.17.4-301.fc21.x86_64 (@koji-override-0/$releasever)
kernel-uname-r = 3.17.4-301.fc21.x86_64
Installed: kernel-core-3.17.7-300.fc21.x86_64 (@updates)
kernel-uname-r = 3.17.7-300.fc21.x86_64
Installed: kernel-core-3.17.8-300.fc21.x86_64 (@updates)
kernel-uname-r = 3.17.8-300.fc21.x86_64
Available: kernel-debug-core-3.17.4-301.fc21.x86_64 (fedora)
kernel-uname-r = 3.17.4-301.fc21.x86_64+debug
Available: kernel-debug-core-3.17.8-300.fc21.x86_64 (updates)
kernel-uname-r = 3.17.8-300.fc21.x86_64+debug
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment